MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032184Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-01 13:202021-03-06 13:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032184: Visualization - remove ambiguous AIS_GlobalStatus constructor
DescriptionAIS_GlobalStatus defines constructor with a list of integer parameters which might be ambiguous.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028162closedapn Draw Harness - eliminate usage of deprecated Local Context 
child of 0032162verifiedbugmaster Visualization - move AIS_DisplayStatus from AIS_GlobalStatus to PrsMgr_PresentableObject 

-  Notes
(0099234)
git (administrator)
2021-03-01 13:37

Branch CR32184 has been created by kgv.

SHA-1: 616e3bd7cee25c16f052f434363470a67844df7a


Detailed log of new commits:

Author: kgv
Date: Mon Mar 1 13:20:58 2021 +0300

    0032184: Visualization - remove ambiguous AIS_GlobalStatus constructor
    
    Auxiliary AIS_GlobalStatus constructor has been removed.
    AIS_InteractiveContext::setObjectStatus() no more adds
    an invalid -1 mode to AIS_GlobalStatus.
    
    Never updated property AIS_GlobalStatus::GetLayerIndex() has been removed;
    AIS_InteractiveContext::SetTransformPersistence() has been corrected to use
    ZLayer defined within object itself.
(0099235)
git (administrator)
2021-03-01 13:46

Branch CR32184 has been updated forcibly by kgv.

SHA-1: 55fc821948552af2f8f9cee50bcd8a56b5f57102
(0099239)
git (administrator)
2021-03-01 15:26

Branch CR32184 has been updated forcibly by kgv.

SHA-1: a2fa170c9a045e2183124830c6e1147780a54fea
(0099244)
git (administrator)
2021-03-01 16:36

Branch CR32184 has been updated forcibly by kgv.

SHA-1: 16e6c447adb58d19bd4a5acf6f6cb6b807c7f5ad
(0099248)
kgv (developer)
2021-03-01 18:29

Patch is ready for review
- OCCT: branch CR32184.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32184-master-KGV/ [^]
(0099269)
osa (developer)
2021-03-02 10:30

The patch was reviewed without remarks
(0099469)
bugmaster (administrator)
2021-03-06 12:15

Combination -
OCCT branch : IR-2021-03-05
master SHA - 58210e5983a7986bc4cd1bec9c0b5cb29828fda4
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-05 SHA - b3d022cfefe721ee2ad6db68ca360345d656610b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17744.80000000016 / 17811.87000000015 [-0.38%]
Products
Total CPU difference: 11539.9800000001 / 11543.6500000001 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.640625 / 19344.390625 [-0.12%]
Products
Total CPU difference: 12868.796875 / 12900.578125 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099497)
git (administrator)
2021-03-06 13:25

Branch CR32184 has been deleted by inv.

SHA-1: 16e6c447adb58d19bd4a5acf6f6cb6b807c7f5ad

- Related Changesets
occt: master 42ddd002
Timestamp: 2021-03-01 10:20:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032184: Visualization - remove ambiguous AIS_GlobalStatus constructor

Auxiliary AIS_GlobalStatus constructor has been removed.
AIS_InteractiveContext::setObjectStatus() no more adds
an invalid -1 mode to AIS_GlobalStatus.

Never updated property AIS_GlobalStatus::GetLayerIndex() has been removed;
AIS_InteractiveContext::SetTransformPersistence() has been corrected to use
ZLayer defined within object itself.
mod - src/AIS/AIS_GlobalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
rm - tests/bugs/vis/bug166 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-01 13:20 kgv New Issue
2021-03-01 13:20 kgv Assigned To => kgv
2021-03-01 13:20 kgv Relationship added child of 0032162
2021-03-01 13:37 git Note Added: 0099234
2021-03-01 13:46 git Note Added: 0099235
2021-03-01 15:24 kgv Relationship added related to 0028162
2021-03-01 15:26 git Note Added: 0099239
2021-03-01 16:36 git Note Added: 0099244
2021-03-01 18:29 kgv Note Added: 0099248
2021-03-01 18:29 kgv Assigned To kgv => osa
2021-03-01 18:29 kgv Status new => resolved
2021-03-02 10:30 osa Note Added: 0099269
2021-03-02 10:30 osa Assigned To osa => bugmaster
2021-03-02 10:30 osa Status resolved => reviewed
2021-03-06 12:15 bugmaster Note Added: 0099469
2021-03-06 12:15 bugmaster Status reviewed => tested
2021-03-06 12:20 bugmaster Test case number => Not required
2021-03-06 12:34 bugmaster Changeset attached => occt master 42ddd002
2021-03-06 12:34 bugmaster Status tested => verified
2021-03-06 12:34 bugmaster Resolution open => fixed
2021-03-06 13:25 git Note Added: 0099497


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker